package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 9:26
 */
@Entity
@Table(name = "data_dict")
public class DataDict {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "data_dict_seq_gen")
    @SequenceGenerator(name = "data_dict_seq_gen", sequenceName = "data_dict_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 中文名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String dictChineseName;

    /**
     * 英文变量值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String dictEnglishName;

    public DataDict() {
    }

    public DataDict(Integer id, String dictChineseName, String dictEnglishName) {
        this.id = id;
        this.dictChineseName = dictChineseName;
        this.dictEnglishName = dictEnglishName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDictChineseName() {
        return dictChineseName;
    }

    public void setDictChineseName(String dictChineseName) {
        this.dictChineseName = dictChineseName;
    }

    public String getDictEnglishName() {
        return dictEnglishName;
    }

    public void setDictEnglishName(String dictEnglishName) {
        this.dictEnglishName = dictEnglishName;
    }

    @Override
    public String toString() {
        return "DataDict{" +
                "id=" + id +
                ", dictChineseName='" + dictChineseName + '\'' +
                ", dictEnglishName='" + dictEnglishName + '\'' +
                '}';
    }
}
